#!/bin/bash
#
set -x

# preparar el fichero .env
ENV_DIR=/opt/opengnsys/ogGui/etc/
ENV_FILE=$ENV_DIR/.env
mkdir -p $ENV_DIR

# Comprobar si ya se ha instalado ogCore
if [ -f /opt/opengnsys/ogGui/installer/.deployed ]; then
   echo "ogCore ya instalado"
   exit 0
fi

# Sacar la IP del ogCore de la configuración
ogcore_url=$(jq -r '.ogcore_ip' /opt/opengnsys/ogGui/installer/config.json)
mercure_ip=$(jq -r '.mercure_ip' /opt/opengnsys/ogGui/installer/config.json)
export OGCORE_URL="$ogcore_url"
export MERCURE_URL="$mercure_url"


# Si se ha configurado la IP del ogCore, se escribe en el fichero .env
echo "NG_APP_BASE_API_URL=$OGCORE_URL" > $ENV_FILE
echo "NG_APP_OGCORE_MERCURE_BASE_URL=https://$mercure_ip:3000/.well-known/mercure" >> $ENV_FILE

touch /opt/opengnsys/ogGui/installer/.deployed
